/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Oct-13-2011 08:59:12pm
Filepath: scripts\Mobiles\Monsters\Plant\Magic\Reaper.cs
Lines of code: 110

Description: 

***********************************************************/


using System;
using Server;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "a reapers corpse" )]
	public class Reaper : BaseCreature
	{
		public string bloodName;
		public int bloodHue;
		public int bloodID;
	
		[Constructable]
		public Reaper(bool dropaxe) : base( AIType.AI_Super, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "a reaper";
			Body = 47;
			BaseSoundID = 442;

			SetStr( 66, 215 );
			SetDex( 66, 75 );
			SetInt( 101, 250 );

			SetHits( 40, 129 );
			SetStam( 0 );

			SetDamage( 9, 11 );

			SetDamageType( ResistanceType.Physical, 80 );
			SetDamageType( ResistanceType.Poison, 20 );

			SetResistance( ResistanceType.Physical, 35, 45 );
			SetResistance( ResistanceType.Fire, 15, 25 );
			SetResistance( ResistanceType.Cold, 10, 20 );
			SetResistance( ResistanceType.Poison, 40, 50 );
			SetResistance( ResistanceType.Energy, 30, 40 );

			SetSkill( SkillName.EvalInt, 90.1, 100.0 );
			SetSkill( SkillName.Magery, 90.1, 100.0 );
			SetSkill( SkillName.MagicResist, 100.1, 125.0 );
			SetSkill( SkillName.Tactics, 45.1, 60.0 );
			SetSkill( SkillName.Wrestling, 50.1, 60.0 );

			Fame = 3500;
			Karma = -3500;

			VirtualArmor = 40;

			PackItem( new Log( 10 ) );
			PackItem( new MandrakeRoot( 5 ) );
			
			if(0.03>Utility.RandomDouble() && dropaxe)PackItem(new ReapersAxe());
		}
		
		public override void Bleed( Mobile attacker, int damage ) 
		{
			switch (Utility.Random( 7 ))
            {       
				case 0: 
					//Leaves
					bloodID = Utility.RandomMinMax(4334,4337);
					bloodHue = Utility.RandomMinMax(62, 66);
					bloodName = "leaves";
					break;	
            	case 1: 
					//Leaves
					bloodID = Utility.RandomMinMax(4334,4337);
					bloodHue = Utility.RandomMinMax(62, 66);
					bloodName = "leaves";
					break;
				case 2: 
					//Twigs
					bloodID = Utility.RandomList(5380, 5382);
					bloodHue = 0;
					bloodName = "twigs";
					break;	
				case 3: 
					//Leaves
					bloodID = Utility.RandomMinMax(4334,4337);
					bloodHue = Utility.RandomMinMax(62, 66);
					bloodName = "leaves";
					break;		
            	case 4: 
					//Leaves
					bloodID = Utility.RandomMinMax(4334,4337);
					bloodHue = Utility.RandomMinMax(62, 66);
					bloodName = "leaves";
					break;
				case 5: 
					//Leaves
					bloodID = Utility.RandomMinMax(4334,4337);
					bloodHue = Utility.RandomMinMax(62, 66);
					bloodName = "leaves";
					break;
				case 6: 
					//Twigs
					bloodID = Utility.RandomList(5380, 5382);
					bloodHue = 0;
					bloodName = "twigs";
					break;			
		    }

			base.Bleed(attacker,damage, new Blood(bloodID,bloodHue,bloodName));
		}
		
		[Constructable]
		public Reaper() : this(true)
		{
		}		

		public override void GenerateLoot()
		{
			AddLoot( LootPack.Average );
		}

		public override Poison PoisonImmune{ get{ return Poison.Greater; } }
		public override int TreasureMapLevel{ get{ return 2; } }
		public override bool DisallowAllMoves{ get{ return true; } }

		public Reaper( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}